Net::NBName::NameQuery::RR(3pm)

NAME
Net::NBName::NameQuery::RR - NetBIOS Name Query Response Resource Record

DESCRIPTION
Net::NBName::NameQuery::RR represents an ip address entry returned as part of a NetBIOS name query response.

METHODS

$rr->address
    Returns the ip address as a dotted quad.

$rr->G
    Group flag. Indicates whether the name is a unique or a group name. It is returned as a string: either "UNIQUE" or "GROUP" will be returned.

$rr->ONT
    Owner Node Type flag. Indicates if the systems are B, P, H, or M-node. It will be returned as a string.

$rr->as_string
    Returns the object's string representation.

SEE ALSO
Net::NBName, Net::NBName::NameQuery

COPYRIGHT
Copyright (c) 2002, 2003, 2004 James Macfarlane. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.